<?php

namespace Diamond\Modules\AdminProfileUserInfo;

use Core\ModuleController;
use Diamond\Application\User\UserService;

class AdminProfileUserInfo extends ModuleController
{

    public function __construct(private UserService $userService)
    {}

    public function process(): string
    {
        $user = $this->userService->getAuthUser();

        return $this->render([
            'user' => $user
        ]);
    }
}